Bug 11042 - Kuzdu mishandles X server changes
Summary: Kuzdu mishandles X server changes
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-25 19:32 UTC by Alan Cox
Modified: 2014-03-17 02:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-05 01:20:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2000-04-25 19:32:39 UTC
Install Linux. Remove video card insert one that needs
a different server. Reboot. Kuzdu spots the card change.
Accept the change, fail to find the CD. Hit cancel.

Linux now boots to gdm which continually starts the old
X server flicking the screen in an unstoppable way or
requiring single user access and clues to fix. Not one
a novice can recover from.

Kudzu should kill the old X server link before it tries
to do anything fancy. Likewise if the config dialog times
out.

Comment 1 Alan Cox 2000-08-05 01:20:10 UTC
Is this one fixed in 7.0beta - should I go and test it ?


Comment 2 Bill Nottingham 2001-03-07 19:38:37 UTC
Should be fixed in 0.97.5-1; if the X configuration fails
(Xconfigurator exits non-zero), the initscript will switch to
runlevel 3.


Note You need to log in before you can comment on or make changes to this bug.